Package io.vertx.serviceproxy.generator

## Class ServiceProxyHandlerGen

- java.lang.Object
- - io.vertx.codegen.processor.Generator<ProxyModel>
  - - io.vertx.serviceproxy.generator.ServiceProxyHandlerGen

- Direct Known Subclasses:
    `WebApiProxyHandlerGen`

      public class ServiceProxyHandlerGen
      extends io.vertx.codegen.processor.Generator<ProxyModel>

  Author:
    Francesco Guardiani @slinkydeveloper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<String,​String>` | `numericMapping` |
    `GeneratorUtils` | `utils` |

    - ### Fields inherited from class io.vertx.codegen.processor.Generator

      `env, incremental, kinds, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceProxyHandlerGen​(GeneratorUtils utils)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Stream<String>` | `additionalImports()` |
    `Collection<Class<? extends Annotation>>` | `annotations()` |
    `String` | `className​(ProxyModel model)` |
    `String` | `filename​(ProxyModel model)` |
    `void` | `generateActionSwitchEntry​(ProxyMethodInfo m, io.vertx.codegen.processor.writer.CodeWriter writer)` |
    `void` | `generateAdditionalMethods​(ProxyModel model, io.vertx.codegen.processor.writer.CodeWriter writer)` |
    `String` | `generateHandler​(io.vertx.codegen.processor.type.TypeInfo typeArg)` |
    `String` | `generateJsonParamExtract​(io.vertx.codegen.processor.ParamInfo param)` |
    `String` | `render​(ProxyModel model, int index, int size, Map<String,​Object> session)` |

    - ### Methods inherited from class io.vertx.codegen.processor.Generator

      `load`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### utils

          public final GeneratorUtils utils

    - #### numericMapping

          public static final Map<String,​String> numericMapping

  - ### Constructor Detail

    - #### ServiceProxyHandlerGen

          public ServiceProxyHandlerGen​(GeneratorUtils utils)

  - ### Method Detail

    - #### annotations

          public Collection<Class<? extends Annotation>> annotations()

      Overrides:
        `annotations` in class `io.vertx.codegen.processor.Generator<ProxyModel>`

    - #### filename

          public String filename​(ProxyModel model)

      Overrides:
        `filename` in class `io.vertx.codegen.processor.Generator<ProxyModel>`

    - #### className

          public String className​(ProxyModel model)

    - #### additionalImports

          public Stream<String> additionalImports()

    - #### render

          public String render​(ProxyModel model,
                               int index,
                               int size,
                               Map<String,​Object> session)

      Overrides:
        `render` in class `io.vertx.codegen.processor.Generator<ProxyModel>`

    - #### generateActionSwitchEntry

          public void generateActionSwitchEntry​(ProxyMethodInfo m,
                                                io.vertx.codegen.processor.writer.CodeWriter writer)

    - #### generateJsonParamExtract

          public String generateJsonParamExtract​(io.vertx.codegen.processor.ParamInfo param)

    - #### generateHandler

          public String generateHandler​(io.vertx.codegen.processor.type.TypeInfo typeArg)

    - #### generateAdditionalMethods

          public void generateAdditionalMethods​(ProxyModel model,
                                                io.vertx.codegen.processor.writer.CodeWriter writer)